/* L-Dic(Linux Dictionary)
 * Copyright (C) 2002 Baek SeungSoon.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 */
#ifndef _LDIC_H_
#define _LDIC_H_

#ifdef HAVE_CONFIG_H
#  include "config.h"
#endif

#include <stdio.h>

/* define
 */
#define LDIC_RC_DIR	".ldic"
#define RC_FILE_NAME	"ldicrc"
#define DICTIONARY_MAX	10

/* global : option
 */
extern char *dic_list[DICTIONARY_MAX];
extern int dic_num;
extern int startup_position;
extern int main_window_x;
extern int main_window_y;
extern int main_window_w;
extern int main_window_h;

/* main.c
 */
void commandLine(void);
void printMean(char *s);
char *getErrMsg(char *err);
void usage(const char *str);
void version(void);

#endif
