/* L-Dic(Linux Dictionary)
 * Copyright (C) 2002 Baek SeungSoon.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 */
#ifndef _READDIC_H_
#define _READDIC_H_

#include "wlist.h"

struct dic_t {
	char list;
	long l_offset_s;
	long l_offset_e;
	char mean;
	long m_offset_s;
	long m_offset_e;
	char font;
	long f_offset_s;
	long f_offset_e;
};

struct fnt_t {
	long length;
	char *image;
};

extern int isDic(FILE *fp);
extern struct dic_t readHeader(FILE *fp);
extern WList *memList(WList *wlist, int num, FILE *fp);
extern long wordSearch(const char *word, FILE *fp);
extern char *offsetSearch(long offset, FILE *fp);
extern struct fnt_t readFnt(const char *name, FILE *fp); 

#endif
