/* L-Dic(Linux Dictionary)
 * Copyright (C) 2002 Baek SeungSoon.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 */
#ifndef _WINDOW_H_
#define _WINDOW_H_

#include <gtk/gtk.h>
#include <gdk/gdk.h>

/* Widgets
 */
GtkWidget *mainwindow;
GtkWidget *mainwindow_hbox;
GtkWidget *mainwindow_vbox;
GtkAccelGroup *mainwindow_accel_grp;

GtkWidget *toolwindow;
GtkWidget *tool_vbox;

GtkWidget *word_entry;
GtkWidget *dic_select;

GtkWidget *word_clist;
GtkWidget *list_scrolled;

GtkWidget *meanwindow;
GtkWidget *text;

extern gint wordlist_select_row;

/* functions
 */
extern GdkColor str_rgb_set(gchar *str);
extern void scroll_and_select_list(gint row);
extern void wordlist_refresh(void);
extern void diclist_refresh(void);
extern void create_window(void);
extern void quit_window(void);

#endif
